/*
 * Enhanced Easy Network
 * Copyright (c) <2009>, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 3, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "MeshServerEntity.h"

MeshServerEntity::MeshServerEntity()
:m_strServiceName()
,m_strMeshIPAddress()
,m_strHostName()
,m_strDNS()
,m_strDNS_back()
,m_bStatus(false)
{
    //ctor
    m_iChannel = 0;
    m_iSignalStrength = 0;
    m_iMeshServerFlag = 0;
}

MeshServerEntity::~MeshServerEntity()
{
    //dtor
}

wxString  MeshServerEntity::GetServiceName()const
{
    return m_strServiceName;
}

wxString  MeshServerEntity::GetMeshIPAddress()const
{
    return m_strMeshIPAddress;
}

wxString  MeshServerEntity::GetHostName()const
{
    return m_strHostName;
}

wxString  MeshServerEntity::GetDNS()const
{
    return m_strDNS;
}

wxString  MeshServerEntity::GetDNS_back()const
{
    return m_strDNS_back;
}

bool MeshServerEntity::GetStatus()const
{
    return m_bStatus;
}

int MeshServerEntity::GetChannel()const
{
    return m_iChannel;
}

int MeshServerEntity::GetSignalStrength()const
{
    return m_iSignalStrength;
}

int MeshServerEntity::GetMeshServerFlg()const
{
    return m_iMeshServerFlag;
}

void MeshServerEntity::SetServiceName(const wxString& strServiceName)
{
    m_strServiceName = strServiceName;
}

void MeshServerEntity::SetIPAddress(const wxString& strMeshIPAddress)
{
    m_strMeshIPAddress = strMeshIPAddress;
}

void MeshServerEntity::SetHostName(const wxString& strHostName)
{
    m_strHostName = strHostName;
}

void MeshServerEntity::SetDNS(const wxString& strDNS)
{
    m_strDNS = strDNS;
}

void MeshServerEntity::SetDNS_back(const wxString& strDNS_back)
{
    m_strDNS_back = strDNS_back;
}

void MeshServerEntity::SetStatus(bool bStatus)
{
    m_bStatus = bStatus;
}

void MeshServerEntity::SetChannel(int iChannel)
{
    m_iChannel = iChannel;
}

void MeshServerEntity::SetSignalStrength(int iSignalStrength)
{
    m_iSignalStrength = iSignalStrength;
}

void MeshServerEntity::SetMeshServerFlag(int iMeshServerFlag)
{
    m_iMeshServerFlag = iMeshServerFlag;
}
