/*
 * Enhanced Easy Network
 * Copyright (c) <2009>, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 3, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef MESHSERVERENTITY_H
#define MESHSERVERENTITY_H

#include <wx/wx.h>

class MeshServerEntity
{
    public:
        //
        MeshServerEntity();

        virtual ~MeshServerEntity();

        wxString  GetServiceName()const;
        wxString  GetMeshIPAddress()const;
        wxString  GetHostName()const;
        wxString  GetDNS()const;
        wxString  GetDNS_back()const;
        bool      GetStatus()const;
        int       GetChannel()const;
        int       GetSignalStrength()const;
        int       GetMeshServerFlg()const;

        void    SetServiceName(const wxString& strServiceName);
        void    SetIPAddress(const wxString& strMeshIPAddress);
        void    SetHostName(const wxString& strHostName);
        void    SetDNS(const wxString& strDNS);
        void    SetDNS_back(const wxString& strDNS_back);
        void    SetStatus(bool bConnectStatus);
        void    SetChannel(int iChannel);
        void    SetSignalStrength(int iSingalStrength);
        void    SetMeshServerFlag(int iMeshServerFlag);
    protected:
    private:
        wxString  m_strServiceName;
        wxString  m_strMeshIPAddress;
        wxString  m_strHostName;
        wxString  m_strDNS;
        wxString  m_strDNS_back;

        bool    m_bStatus;
        int     m_iChannel;
        int     m_iSignalStrength;
        int     m_iMeshServerFlag;



};

#endif // MESHSERVERENTITY_H
