/*
 * Enhanced Easy Network
 * Copyright (c) <2009>, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 3, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#ifndef VIEWMESHNEIGHBORSDLG_H
#define VIEWMESHNEIGHBORSDLG_H

#include <wx/listctrl.h>
#include <wx/stattext.h>
#include <wx/statline.h>
#include <wx/panel.h>
#include <wx/statbmp.h>
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/msgdlg.h>
#include "GaugeDialog.h"
class ViewMeshNeighborsDlg: public wxDialog
{
	public:

		ViewMeshNeighborsDlg(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~ViewMeshNeighborsDlg();

		//(*Declarations(ViewMeshNeighborsDlg)
		wxButton* ButtonRefresh;
		wxStaticBitmap* StaticBitmap1;
		wxButton* ButtonOK;
		wxListCtrl* m_list;
		wxPanel* Panel1;
		wxStaticText* StaticText1;
		wxStaticLine* StaticLine1;
		//*)
        bool Show(bool ifShow);

	protected:

		//(*Identifiers(ViewMeshNeighborsDlg)
		static const long ID_STATICTEXT1;
		static const long ID_LISTCTRL;
		static const long ID_BUTTON_REFRESH;
		static const long ID_BUTTON_OK;
		static const long ID_STATICLINE1;
		static const long ID_PANEL1;
		static const long ID_STATICBITMAP1;
		//*)
		static const long ID_TIMER_SEARCH;

	private:

		//(*Handlers(ViewMeshNeighborsDlg)
		void OnPanel1Paint(wxPaintEvent& event);
		void OnButtonRefreshClick(wxCommandEvent& event);
		void OnButtonOKClick(wxCommandEvent& event);
//		void OnInit(wxInitDialogEvent& event);
		//*)
        void Refresh();
        void OnTimer(wxTimerEvent& event);
        void BeginSearch();

        void OnCloseClicked(wxCloseEvent& event);

        GaugeDialog* m_pGaugeDialog;
        wxTimer m_searchTimer;
		DECLARE_EVENT_TABLE()
};

#endif
